package com.mints.goodmoney.mvp.presenters;

import android.app.Activity;

import com.mints.goodmoney.MintsApplication;
import com.mints.goodmoney.mvp.model.BaseResponse;
import com.mints.goodmoney.mvp.views.VedioAdManagerView;
import com.mints.goodmoney.net.LoanService;
import com.mints.library.net.neterror.BaseSubscriber;
import com.mints.library.net.neterror.Throwable;

import java.util.HashMap;

import rx.Subscription;
import rx.android.schedulers.AndroidSchedulers;

public class CsjVedioAdPresenter extends BasePresenter<VedioAdManagerView>{

    private MintsApplication loanApplication;
    private LoanService loanService;
    private Subscription subscription;

    public void dispose() {
        loanService = null;
        loanApplication = null;
        if (subscription != null && !subscription.isUnsubscribed()) {
            subscription.unsubscribe();
        }
    }


}
